Replace the bundle's contents
curl --request PUT \
--url https://openapi.orriven.com/v1/events/{eventId}/bundles/{bundleId}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"itemId": "<string>",
"quantity": 50
}
]
}
'import requests
url = "https://openapi.orriven.com/v1/events/{eventId}/bundles/{bundleId}/items"
payload = { "items": [
{
"itemId": "<string>",
"quantity": 50
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{itemId: '<string>', quantity: 50}]})
};
fetch('https://openapi.orriven.com/v1/events/{eventId}/bundles/{bundleId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"eventId": "<string>",
"name": "<string>",
"description": "<string>",
"status": "draft",
"priceAmount": 123,
"sortOrder": 123,
"items": [
{
"itemType": "registration_type",
"itemId": "<string>",
"quantity": 2
}
],
"createdAt": "<string>"
}{
"error": {
"code": 404,
"status": "NOT_FOUND",
"message": "Event not found.",
"details": [
"<unknown>"
]
}
}{
"error": {
"code": 404,
"status": "NOT_FOUND",
"message": "Event not found.",
"details": [
"<unknown>"
]
}
}{
"error": {
"code": 404,
"status": "NOT_FOUND",
"message": "Event not found.",
"details": [
"<unknown>"
]
}
}{
"error": {
"code": 404,
"status": "NOT_FOUND",
"message": "Event not found.",
"details": [
"<unknown>"
]
}
}Bundles
Replace the bundle's contents
Every item must be a real ticket type or add-on of this event.
PUT
/
v1
/
events
/
{eventId}
/
bundles
/
{bundleId}
/
items
Replace the bundle's contents
授权
The API key's secret (osk_…), shown once when the key is created in the console.
请求体
application/json
Maximum array length:
50Show child attributes
Show child attributes
⌘I